Причиной отказа стала критическая уязвимость POODLE, которой подвержен любой сайт, допускающий установку соединений с использованием SSL 3.0.